=== debian/changelog ===
ignition-plugin (1.2.1-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 24 Sep 2021 15:17:04 -0700

ignition-plugin (1.2.1~pre1-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.1~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 09:58:09 -0700

ignition-plugin (1.2.0-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 18:20:31 -0700

ignition-plugin (1.2.0~pre1-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 Mar 2021 10:05:07 -0700

ignition-plugin (1.1.0-1~buster) buster; urgency=medium

  * ignition-plugin 1.1.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 21 Nov 2019 18:08:34 -0800
