=== doc/CMakeLists.txt ===

message(AUTHOR_WARNING "Need to add docs!")
