=== register/CMakeLists.txt ===

ign_add_component(register INTERFACE)

install(
  DIRECTORY include/
  DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})
