=== loader/src/CMakeLists.txt ===
# Command line support.
if(NOT WIN32)
  add_subdirectory(cmd)
endif()
