=== debian/changelog ===
ignition-plugin (1.2.1+ds-1) unstable; urgency=medium

  * New upstream version 1.2.1+ds
  * Move package under the scope of science-team

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 07 Feb 2022 22:17:50 +0000

ignition-plugin (1.2.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #992365)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Aug 2021 18:00:47 +0000
