=== debian/control ===
Source: ignition-plugin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               doxygen,
               libignition-cmake-dev,
               libgtest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/ignition-plugin
Vcs-Git: https://salsa.debian.org/science-team/ignition-plugin.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/plugin

Package: libignition-plugin1-1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Shared library
 Ignition Plugin is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the shared library

Package: libignition-plugin-dev
Architecture: any
Section: libdevel
Depends: libignition-plugin1-1 (= ${binary:Version}),
         libignition-cmake-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Development files
 Ignition Plugin is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the development files
