## ignition-plugin 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-plugin1 VERSION 1.2.1)
+project(ignition-plugin1 VERSION 1.3.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13.0 REQUIRED)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
@@ -21,6 +21,12 @@
 #============================================================================
 
 # No project-specific options yet for ign-plugin
+
+if (UNIX AND NOT APPLE)
+  set (EXTRA_TEST_LIB_DEPS stdc++fs)
+else()
+  set (EXTRA_TEST_LIB_DEPS)
+endif()
 
 #============================================================================
 # Search for project-specific dependencies
@@ -37,8 +43,11 @@
 
 #--------------------------------------
 # Find ignition-tools
+# Find if command is available. This is used to enable tests.
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
 find_program(IGN_TOOLS_PROGRAM ign)
-
+set(IGN_TOOLS_VER 1)
 
 #============================================================================
 # Configure the build
