=== loader/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,9 @@
 ign_build_tests(
   TYPE UNIT
   SOURCES ${tests}
-  LIB_DEPS ${loader}
+  LIB_DEPS
+    ${loader}
+    ${EXTRA_TEST_LIB_DEPS}
   TEST_LIST test_targets)
 
 foreach(test ${test_targets})
@@ -44,7 +46,7 @@
 
 if(TARGET UNIT_ign_TEST)
   set(_env_vars)
-  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf")
+  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>")
 
   set_tests_properties(UNIT_ign_TEST PROPERTIES
     ENVIRONMENT "${_env_vars}")
