=== debian/changelog ===
ignition-plugin (1.3.0-1~focal) focal; urgency=medium

  * ignition-plugin 1.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 16:53:22 -0700

ignition-plugin (1.2.1-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 24 Sep 2021 15:17:03 -0700

ignition-plugin (1.2.1~pre1-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.1~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 09:58:09 -0700

ignition-plugin (1.2.0-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 18:20:31 -0700

ignition-plugin (1.2.0~pre1-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 Mar 2021 10:05:07 -0700

ignition-plugin (1.1.0-1~focal) focal; urgency=medium

  * ignition-plugin 1.1.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 21 Nov 2019 18:08:34 -0800
