## ignition-plugin 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-plugin1 VERSION 1.3.0)
+project(ignition-plugin1 VERSION 1.4.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -14,7 +14,10 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/plugin
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options
@@ -71,4 +74,3 @@
   API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
   TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
   )
-
