=== core/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,4 @@
   TYPE UNIT
   SOURCES ${tests})
 
-
-add_subdirectory(include/ignition/plugin)
+add_subdirectory(include)
