=== loader/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # "tests" variable
 ign_get_libsources_and_unittests(sources tests)
 
-# Disable ign_TEST if ignition-tools is not found
+# Disable gz_TEST if ignition-tools is not found
 if (MSVC OR NOT IGN_TOOLS_PROGRAM)
-  list(REMOVE_ITEM tests src/ign_TEST.cc)
+  list(REMOVE_ITEM tests src/gz_TEST.cc)
 endif()
 
 # Create the library target
@@ -44,11 +44,11 @@
 
 endforeach()
 
-if(TARGET UNIT_ign_TEST)
+if(TARGET UNIT_gz_TEST)
   set(_env_vars)
   list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>")
 
-  set_tests_properties(UNIT_ign_TEST PROPERTIES
+  set_tests_properties(UNIT_gz_TEST PROPERTIES
     ENVIRONMENT "${_env_vars}")
 endif()
