=== core/include/CMakeLists.txt ===
add_subdirectory(gz/plugin)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})
