=== loader/src/CMakeLists.txt ===
# Command line support.
add_subdirectory(cmd)
