=== debian/changelog ===
ignition-plugin (1.4.0-1~jammy) jammy; urgency=medium

  * ignition-plugin 1.4.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 11 Nov 2022 09:21:15 -0600

ignition-plugin (1.3.0-1~jammy) jammy; urgency=medium

  * ignition-plugin 1.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 16:53:22 -0700

ignition-plugin (1.2.1+osrf-1~jammy) jammy; urgency=medium

  * ignition-plugin 1.2.1+osrf-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Mar 2022 21:09:53 +0100
