=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: ignition-plugin
-Standards-Version: 3.9.4
 Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: extra
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 11),
                doxygen,
-               libignition-cmake2-dev (>= 2.8.0),
+               libignition-cmake2-dev (>= 2.13.0)  | libignition-cmake-dev (>= 2.13.0),
                python3,
                ruby-ronn
 Vcs-Browser: https://github.com/gazebosim/gz-plugin
 Vcs-Git: https://github.com/gazebosim/gz-plugin.git
+Standards-Version: 4.5.1
 Homepage: https://github.com/gazebosim/gz-plugin
 
 Package: libignition-plugin
@@ -18,6 +18,8 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libignition-plugin1-1  (>= 1.2.1+ds1)
+Replaces: libignition-plugin1-1  (>= 1.2.1+ds1)
 Multi-Arch: same
 Description: Gazebo Plugin Library - Shared library
  Gazebo Plugin is a component in the Gazebo framework, a set of libraries
@@ -29,7 +31,7 @@
 Architecture: any
 Section: libdevel
 Depends: libignition-plugin (= ${binary:Version}),
-         libignition-cmake2-dev (>= 2.8.0),
+         libignition-cmake2-dev (>= 2.13.0),
          ${misc:Depends}
 Multi-Arch: same
 Description: Gazebo Plugin Library - Development files
