## ignition-plugin 1.4.0%2Bds

=== debian/changelog ===
ignition-plugin (1.4.0+ds-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 22 May 2024 17:21:55 +0800

ignition-plugin (1.4.0+ds-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 1.4.0+ds
  * Rediff patches
  * Update standards to 4.6.2 (no change)
  * Add patch for bash-completion file
  * Add patch to avoid the installation of CMakeLists.txt

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 Sep 2023 11:00:04 +0000
